---
apiVersion: v1
data:
  ovnkube.conf: |-
    [default]
    mtu="8900"
    cluster-subnets="10.128.0.0/14/23,fd02::/48/64"
    encap-port="6081"
    enable-lflow-cache=true
    lflow-cache-limit-kb=1048576
    enable-udp-aggregation=true
    udn-allowed-default-services="default/kubernetes,openshift-dns/dns-default"

    [kubernetes]
    service-cidrs="172.30.0.0/16,fd03::/112"
    ovn-config-namespace="openshift-ovn-kubernetes"
    apiserver="https://api-int.bm12b-tlv2.abi.cnv-qe.rhood.us:6443"
    host-network-namespace="openshift-host-network"
    platform-type="BareMetal"
    healthz-bind-address="0.0.0.0:10256"
    dns-service-namespace="openshift-dns"
    dns-service-name="dns-default"

    [ovnkubernetesfeature]
    enable-egress-ip=true
    enable-egress-firewall=true
    enable-egress-qos=true
    enable-egress-service=true
    egressip-node-healthcheck-port=9107
    enable-multi-network=true
    enable-network-segmentation=true
    enable-admin-network-policy=true
    enable-multi-external-gateway=true

    [gateway]
    mode=shared
    nodeport=true

    [logging]
    libovsdblogfile=/var/log/ovnkube/libovsdb.log
    logfile-maxsize=100
    logfile-maxbackups=5
    logfile-maxage=0
kind: ConfigMap
metadata:
  creationTimestamp: "2025-10-27T11:29:57Z"
  managedFields:
  - apiVersion: v1
    fieldsType: FieldsV1
    fieldsV1:
      f:data:
        f:ovnkube.conf: {}
      f:metadata:
        f:ownerReferences:
          k:{"uid":"42934d21-bf48-4e6e-be5b-f538b0be0793"}: {}
    manager: cluster-network-operator/operconfig
    operation: Apply
    time: "2025-10-27T11:29:57Z"
  name: ovnkube-config
  namespace: openshift-ovn-kubernetes
  ownerReferences:
  - apiVersion: operator.openshift.io/v1
    blockOwnerDeletion: true
    controller: true
    kind: Network
    name: cluster
    uid: 42934d21-bf48-4e6e-be5b-f538b0be0793
  resourceVersion: "4449"
  uid: 16f2bd68-b7b3-4858-95f0-c17ab18509c7
